petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexComputeCellwiseIntegralFEM

Form the vector of cellwise integrals F from the global input X using pointwise functions specified by the user

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeCellwiseIntegralFEM(DM dm, Vec X, Vec F, void *user)

### Input Parameters

| dm | - The mesh
| X | - Global input vector
| user | - The user context

### Output Parameter

integral -Cellwise integrals for each field

### See Also

DMPlexComputeResidualFEM()

### Level

developer

### Location

src/dm/impls/plex/plexfem.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages